demos.protocols / AutoOfferProtocol / AutoOfferMessage

# AutoOfferMessage

`data class AutoOfferMessage`

### Constructors

<init> | `AutoOfferMessage(otherSide: SingleMessageRecipient, otherSessionID: Long, dealBeingOffered: DealState)`

### Properties

dealBeingOffered | `val dealBeingOffered: DealState`
otherSessionID | `val otherSessionID: Long`
otherSide | `val otherSide: SingleMessageRecipient`